VST 3 SDK VST 3.7 SDK for developing VST plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Classes | Public Member Functions | Protected Attributes | List of all members
BypassProcessor< T > Class Template Reference

`#include <vstbypassprocessor.h>`

## Classes
struct | Delay

## Public Member Functions
| BypassProcessor ()
| ~BypassProcessor ()
void | setup (IAudioProcessor &audioProcessor, ProcessSetup &processSetup, int32 delaySamples)
void | reset ()
bool | isActive () const
void | setActive (bool state)
void | process (ProcessData &data)

## Protected Attributes
int32 | mInputPinLookup [64]
Delay * | mDelays [64]
bool | mActive {false}
bool | mMainIOBypass {false}

## Constructor & Destructor Documentation

BypassProcessor | ( |  | ) |
| inline

~BypassProcessor | ( |  | ) |
| inline

## Member Function Documentation

void setup | ( | IAudioProcessor & | audioProcessor,
|  | ProcessSetup & | processSetup,
|  | int32 | delaySamples
| ) |  |
| inline

void reset | ( |  | ) |
| inline

bool isActive | ( |  | ) | const
| inline

void setActive | ( | bool | state | ) |
| inline

void process | ( | ProcessData & | data | ) |
| inline

## Member Data Documentation

int32 mInputPinLookup[64]
| protected

Delay* mDelays[64]
| protected

bool mActive {false}
| protected

bool mMainIOBypass {false}
| protected

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.